# $Revision: 1.25 $, $Date: 2011/10/11 08:57:24 $
#
# Conditional build:
%bcond_without	tests	# don't perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Digest
%define		pnam	MD4
Summary:	Digest::MD4 - MD4 digest algorithm implementation
Summary(pl.UTF-8):	Digest::MD4 - implementacja algorytmu skrótu MD4
Name:		perl-Digest-MD4
Version:	1.5
Release:	7
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Digest/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	594d661c18b46a4aea97931dcaf5ce14
URL:		http://search.cpan.org/dist/Digest-MD4/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Digest::MD4 module allows you to use the RSA Data Security Inc.
MD4 Message Digest algorithm from within Perl programs.  The algorithm
is described in RFC 1320.

%description -l pl.UTF-8
Moduł Digest::MD4 pozwala na używanie algorytmu skrótu MD4 firmy RSA
Data Security Inc. w programach perlowych. Algorytm jest opisany w RFC
1320.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Digest/MD4.pm
%dir %{perl_vendorarch}/auto/Digest/MD4
%{perl_vendorarch}/auto/Digest/MD4/MD4.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Digest/MD4/MD4.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Digest-MD4.spec,v $
Revision 1.25  2011/10/11 08:57:24  lisu
- rel 7

Revision 1.24  2010/11/12 23:38:19  pawelz
- release 6

Revision 1.23  2010/06/06 08:35:21  arekm
- release 5

Revision 1.22  2009/03/14 11:44:04  hawk
- release 4

Revision 1.21  2008/03/23 21:58:03  qboosh
- generic URL

Revision 1.20  2008-02-23 22:03:18  glen
- release 3

Revision 1.19  2008-02-10 12:08:32  arekm
- rel 2

Revision 1.18  2008-01-10 08:38:37  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.17  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.16  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.15  2004/12/01 12:47:22  radek
- autoupdated to 1.5

Revision 1.14  2004/11/03 22:30:19  paladine
- formatting

Revision 1.13  2004/11/01 22:26:55  adamg
- updated to 1.4

Revision 1.12  2004/06/05 18:10:38  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.11  2004/05/06 18:43:09  ankry
- fixed perl-devel BR

Revision 1.10  2004/04/20 06:55:52  ankry
- better summary/description, license fixes and unification

Revision 1.9  2003/12/23 08:16:06  misi3k
- updated to 1.3

Revision 1.8  2003/10/31 23:36:07  qboosh
- updated to 1.2, added tests

Revision 1.7  2003/08/18 08:08:44  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.6  2003/05/28 13:00:36  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/03/01 18:05:43  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:38:33  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:31:47  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/07/21 21:51:13  qboosh
- new
